## org.mariadb.jdbc.internal.util.dao
Class CallableStatementCacheKey

    java.lang.Object
      org.mariadb.jdbc.internal.util.dao.CallableStatementCacheKey

    public class CallableStatementCacheKey

extends Object

Constructor Summary
`CallableStatementCacheKey(String database, String query)`

Method Summary
`boolean` `equals(Object object)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableStatementCacheKey

    public CallableStatementCacheKey(String database,
                                     String query)

Method Detail

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2017. All rights reserved.